> For the complete documentation index, see [llms.txt](https://docs.leanx.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.leanx.io/api-docs/payout/payout-service.md).

# Payout Service

This API provides a list of all available payout services in Leanx. It serves as a mechanism for transferring money from your prefund pool to other 3rd party accounts. This list will only list the available and active payout services based on our discretion.&#x20;

## Authentication

LeanX uses **Auth Token** to authenticate in each request's header.

{% hint style="info" %}
**Auth Token** can be retrieved in your portal dashboard under **API** page.
{% endhint %}

**Request Header**

{% code overflow="wrap" %}

```json
{
    "auth-token": "LP-0D7C06DE-MM|7394e58e-edee-4c42-9ca5-bcbc449f1b9f|2141df4a3cb633d5ce8683bb0c55067e5caebfbe07390dde277dc455bcc95c91723a81b5e565c7c02d68fb84e396722563016bf99e576a4b8cdbe4423fbf226b"
}
```

{% endcode %}

## Getting the Payout Service List

{% hint style="warning" %}
Please note that our payout service only extends to Web Payment (FPX) **B2C** only.
{% endhint %}

You are advised to verify the recipient before proceeding with the transfer. We have provided bank verification endpoints which you can view via the link below.&#x20;

{% content-ref url="/pages/7RWuWoMvAGE3SwkYLM8O" %}
[Bank Account Verification](/api-docs/payout/bank-account-verification.md)
{% endcontent-ref %}

HTTP Method: <mark style="color:yellow;">POST</mark>

```
https://api.leanx.dev/api/v1/merchant/list-payout-services
```

#### Request Body

```
no request body
```

#### Response

```json
{
  "response_code": 2000,
  "description": "SUCCESS",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-11-28T18:00:18.547062",
  "data": {
    "list": {
      "draw": 30,
      "record_total": 30,
      "record_filtered": 30,
      "data": [
        {
          "SWITCH_PAYOUT_WEBPAY": [
            {
              "payout_service_id": 1,
              "payment_model_reference_id": 1,
              "payment_model_reference": "B2C",
              "unique_reference": "PAYOUT_MBSB_BANK_WEBPAY",
              "payment_service": "SWITCH_PAYOUT_WEBPAY",
              "name": "MBSB BANK BERHAD",
              "record_status_id": 1,
              "record_status": "ACTIVE"
            },
            .....
            {
              "payout_service_id": 2,
              "payment_model_reference_id": 1,
              "payment_model_reference": "B2C",
              "unique_reference": "PAYOUT_AGROBANK_WEBPAY",
              "payment_service": "SWITCH_PAYOUT_WEBPAY",
              "name": "BANK PERTANIAN MALAYSIA BHD (AGROBANK)",
              "record_status_id": 1,
              "record_status": "ACTIVE"
            }
          ]
        }
      ],
      "next_page_start": null,
      "next_page_length": null,
      "previous_page_start": null,
      "previous_page_length": null
    }
  },
  "breakdown_errors": null,
  "token": ""
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leanx.io/api-docs/payout/payout-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
